nodejs8-8.11.3-lp150.2.3.1.x86_64.rpm


Advertisement

Description

nodejs8 - Evented I/O for V8 JavaScript

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Update Oss all
Package name nodejs8
Package version 8.11.3
Package release lp150.2.3.1
Package architecture x86_64
Package type rpm
Installed size 19.68 MB
Download size 5.20 MB
Official Mirror widehat.opensuse.org
Node.js is a JavaScript runtime built on Chrome's V8 JavaScript engine.
Node.js uses an event-driven, non-blocking I/O model that makes it
lightweight and efficient. Node.js' package ecosystem, npm, is the largest
ecosystem of open source libraries in the world.

Alternatives

Package Version Architecture Repository
nodejs8-8.11.4-lp150.2.6.1.x86_64.rpm 8.11.4 x86_64 openSUSE Update Oss
nodejs8-8.11.1-lp150.1.4.x86_64.rpm 8.11.1 x86_64 openSUSE Oss
nodejs8 - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libcares.so.2()(64bit) -
libcrypto.so.1.1()(64bit) -
libcrypto.so.1.1(OPENSSL_1_1_0)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.4)(64bit) -
libicui18n.so.60.2()(64bit) -
libicuuc.so.60.2()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libnghttp2.so.14()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
libpthread.so.0(GLIBC_2.3.3)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
libssl.so.1.1()(64bit) -
libssl.so.1.1(OPENSSL_1_1_0)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.5)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.14)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.18)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.20)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
libz.so.1()(64bit) -
nodejs-common -
update-alternatives -

Provides

Name Value
nodejs = 8.11.3
nodejs(abi) = 8.0
nodejs(engine) = 8.11.3
nodejs8 = 8.11.3-lp150.2.3.1
nodejs8(x86-64) = 8.11.3-lp150.2.3.1

Download

Type URL
Binary Package nodejs8-8.11.3-lp150.2.3.1.x86_64.rpm
Source Package nodejs8-8.11.3-lp150.2.3.1.src.rpm

Install Howto

Install nodejs8 rpm package:

# zypper install nodejs8

Files

Path
/etc/alternatives/node-default
/etc/alternatives/node.1.gz
/usr/bin/node-default
/usr/bin/node8
/usr/lib64/node_modules/
/usr/share/doc/packages/nodejs8/AUTHORS
/usr/share/doc/packages/nodejs8/BUILDING.md
/usr/share/doc/packages/nodejs8/CHANGELOG.md
/usr/share/doc/packages/nodejs8/CODE_OF_CONDUCT.md
/usr/share/doc/packages/nodejs8/COLLABORATOR_GUIDE.md
/usr/share/doc/packages/nodejs8/CONTRIBUTING.md
/usr/share/doc/packages/nodejs8/CPP_STYLE_GUIDE.md
/usr/share/doc/packages/nodejs8/GOVERNANCE.md
/usr/share/doc/packages/nodejs8/README.md
/usr/share/doc/packages/nodejs8/gdbinit
/usr/share/licenses/nodejs8/LICENSE
/usr/share/man/man1/node.1.gz
/usr/share/man/man1/node8.1.gz

Changelog

2018-06-13 - adam.majer@suse.de
- New upstream LTS release 8.11.3:
* buffer: Fixes Denial of Service vulnerability where calling
Buffer.fill() could hang (CVE-2018-7167, bsc#1097375)
* http2:
+ Fixes Denial of Service vulnerability by updating the http2
implementation to not crash under certain circumstances
during cleanup (CVE-2018-7161, bsc#1097404)
+ Unbundled nghttp2 to fix Denial of Service vulnerability
(CVE-2018-1000168, bsc#1097401)
2018-05-24 - adam.majer@suse.de
- env_shebang.patch: use absolute paths in executable shebang lines
- versioned.patch: updated to move shebang modifications to above
patch.
2018-05-23 - adam.majer@suse.de
- use gcc7 for SLE12
- manual_configure.patch: configure nghttp2 correctly
2018-05-16 - adam.majer@suse.de
- New upstream LTS release 8.11.2:
* deps:
+ update node-inspect to 1.11.3
+ update nghttp2 to 1.29.0
* http2: Sync with current release stream
* n-api: Sync with current release stream
- versioned.patch: rebased
2018-05-11 - adam.majer@suse.de
- icu_61_namespacefix.patch: Fix building with ICU61.1 (bsc#1091764)
2018-04-05 - adam.majer@suse.de
- Install license with %license, not %doc (bsc#1082318)
2018-04-04 - adam.majer@suse.de
- Fix some node-gyp permissions
2018-04-03 - adam.majer@suse.de
- New upstream LTS release 8.11.1:
* Security fixes:
+ Fix for inspector DNS rebinding vulnerability
(bsc#1087463, CVE-2018-7160)
+ Fix for 'path' module regular expression denial of service
(bsc#1087459, CVE-2018-7158)
+ Reject spaces in HTTP Content-Length header values
(bsc#1087453, CVE-2018-7159)
* deps: upgrade http-parser to v2.8.0
2018-03-22 - adam.majer@suse.de
- New upstream LTS release 8.10.0:
* deps:
+ update V8 to 6.2.414.46
+ revert ABI breaking changes in V8 6.2
+ upgrade libuv to 1.19.1
+ re land npm 5.6.0
* crypto:
+ Support both OpenSSL 1.1.0 and 1.0.2. This allows us to drop
openssl11.patch
+ warn on invalid authentication tag length
* async_hooks:
+ update defaultTriggerAsyncIdScope for perf
+ use typed array stack as fast path
+ use scope for defaultTriggerAsyncId
+ separate missing from default context
+ deprecate undocumented API
* n-api: add helper for addons to get the event loop
* cli: add --stack-trace-limit to NODE_OPTIONS
* console: add support for console.debug
* module:
+ add builtinModules
+ replace default paths in require.resolve()
* src: add process.ppid
* http:
+ support generic Duplex streams
+ add rawPacket in err of clientError event
+ better support for IPv6 addresses
* tls: unconsume stream on destroy
* process: improve unhandled rejection message
* stream: remove usage of *State.highWaterMark
* trace_events: add executionAsyncId to init events
- remove any old manpage files in %pre from before update-alternatives
were used to manage symlinks to these manpages.
- versioned.patch: refreshed
2018-02-13 - adam.majer@suse.de
- Add Recommends and BuildRequire on python2 for npm. node-gyp
requires this old version of python for now. This is only needed
for binary modules.

See Also

Package Description
nodejs8-devel-8.11.3-lp150.2.3.1.x86_64.rpm Files needed for development of NodeJS platforms
nodejs8-devel-8.11.4-lp150.2.6.1.x86_64.rpm Files needed for development of NodeJS platforms
nodejs8-docs-8.11.3-lp150.2.3.1.noarch.rpm Node.js API documentation
nodejs8-docs-8.11.4-lp150.2.6.1.noarch.rpm Node.js API documentation
npm8-8.11.3-lp150.2.3.1.x86_64.rpm Package manager for Node.js
npm8-8.11.4-lp150.2.6.1.x86_64.rpm Package manager for Node.js
nscd-2.26-lp150.11.3.2.x86_64.rpm Name Service Caching Daemon
nscd-2.26-lp150.11.6.120.x86_64.rpm Name Service Caching Daemon
nscd-2.26-lp150.11.9.1.x86_64.rpm Name Service Caching Daemon
nss-myhostname-234-lp150.20.3.1.x86_64.rpm Plugin for local system host name resolution
nss-myhostname-234-lp150.20.6.1.x86_64.rpm Plugin for local system host name resolution
nss-myhostname-234-lp150.20.9.1.x86_64.rpm Plugin for local system host name resolution
nss-myhostname-32bit-234-lp150.20.3.1.x86_64.rpm Plugin for local system host name resolution
nss-myhostname-32bit-234-lp150.20.6.1.x86_64.rpm Plugin for local system host name resolution
nss-myhostname-32bit-234-lp150.20.9.1.x86_64.rpm Plugin for local system host name resolution
Advertisement
Advertisement